curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"hashtag": "<string>",
"num_of_posts": 123,
"posts_to_not_include": [
{}
],
"start_date": "<string>",
"end_date": "<string>"
}
]
}
'[
{
"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
"title": "Video Title Here",
"youtuber": "@channelname",
"video_url": "https://...",
"video_length": 96,
"likes": 18,
"views": 1648,
"date_posted": "2025-04-18T05:26:16.000Z",
"description": "Video description...",
"num_comments": 0,
"subscribers": 4810000,
"video_id": "4L_m0m3bEtE",
"channel_url": "https://www.youtube.com/@channelname",
"preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
"shortcode": "4L_m0m3bEtE",
"verified": true,
"handle_name": "Channel Name",
"is_sponsored": false,
"quality": "hd1080",
"transcript": "...",
"tags": ["tag1", "tag2"],
"is_age_restricted": false
}
]
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"hashtag": "<string>",
"num_of_posts": 123,
"posts_to_not_include": [
{}
],
"start_date": "<string>",
"end_date": "<string>"
}
]
}
'[
{
"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
"title": "Video Title Here",
"youtuber": "@channelname",
"video_url": "https://...",
"video_length": 96,
"likes": 18,
"views": 1648,
"date_posted": "2025-04-18T05:26:16.000Z",
"description": "Video description...",
"num_comments": 0,
"subscribers": 4810000,
"video_id": "4L_m0m3bEtE",
"channel_url": "https://www.youtube.com/@channelname",
"preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
"shortcode": "4L_m0m3bEtE",
"verified": true,
"handle_name": "Channel Name",
"is_sponsored": false,
"quality": "hd1080",
"transcript": "...",
"tags": ["tag1", "tag2"],
"is_age_restricted": false
}
]
gd_lk56epmy2i5g7lzu0k to collect Discover Videos by Hashtag data.discover_new.hashtag.Show properties
{
"input": [
{
"hashtag": "trend",
"num_of_posts": 20
}
]
}
[
{
"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
"title": "Video Title Here",
"youtuber": "@channelname",
"video_url": "https://...",
"video_length": 96,
"likes": 18,
"views": 1648,
"date_posted": "2025-04-18T05:26:16.000Z",
"description": "Video description...",
"num_comments": 0,
"subscribers": 4810000,
"video_id": "4L_m0m3bEtE",
"channel_url": "https://www.youtube.com/@channelname",
"preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
"shortcode": "4L_m0m3bEtE",
"verified": true,
"handle_name": "Channel Name",
"is_sponsored": false,
"quality": "hd1080",
"transcript": "...",
"tags": ["tag1", "tag2"],
"is_age_restricted": false
}
]
Was this page helpful?